comparison make-dist @ 621:eca8812e61cd

*** empty log message ***
author Jim Blandy <jimb@redhat.com>
date Fri, 24 Apr 1992 08:11:54 +0000
parents 3c1ffcac443f
children 144a9a018e7c
comparison
equal deleted inserted replaced
620:88a29c720fa7 621:eca8812e61cd
12 set -e 12 set -e
13 13
14 # Print out each line we read, for debugging's sake. 14 # Print out each line we read, for debugging's sake.
15 # set -v 15 # set -v
16 16
17 cleanup=yes 17 clean_up=yes
18 make_tar=yes
18 19
19 while [ $# -gt 0 ]; do 20 while [ $# -gt 0 ]; do
20 case "$1" in 21 case "$1" in
21 "--no-cleanup" ) 22 "--no-clean_up" )
22 cleanup=no 23 clean_up=no
24 ;;
25 "--no-tar" )
26 make_tar=no
27 clean_up=no
23 ;; 28 ;;
24 * ) 29 * )
25 echo "${progname}: Unrecognized argument: $1" >&2 30 echo "${progname}: Unrecognized argument: $1" >&2
26 exit 1 31 exit 1
27 ;; 32 ;;
63 echo "Creating top directory: ${tempdir}" 68 echo "Creating top directory: ${tempdir}"
64 mkdir ${tempdir} 69 mkdir ${tempdir}
65 70
66 # We copy in the top-level files before creating the subdirectories in 71 # We copy in the top-level files before creating the subdirectories in
67 # hopes that this will make the top-level files appear first in the 72 # hopes that this will make the top-level files appear first in the
68 # tar file. 73 # tar file; this means that people can start reading the INSTALL and
74 # README while the rest of the tar file is still unpacking. Whoopee.
69 echo "Copying top-level files." 75 echo "Copying top-level files."
70 ln INSTALL PROBLEMS README ${tempdir} 76 ln GETTING.GNU.SOFTWARE INSTALL PROBLEMS README ${tempdir}
71 ln ChangeLog Makefile.in build-install.in configure make-dist ${tempdir} 77 ln ChangeLog Makefile.in build-install.in configure make-dist ${tempdir}
72 78
73 echo "Creating subdirectories." 79 echo "Creating subdirectories."
74 for subdir in lisp lisp/term src src/m src/s lib-src oldXMenu \ 80 for subdir in lisp lisp/term src src/m src/s lib-src oldXMenu \
75 etc lock local-lisp arch-lib cpp info man shortnames; do 81 etc lock local-lisp arch-lib cpp info man shortnames; do
172 rm ${tempdir}/${subdir}/COPYING 178 rm ${tempdir}/${subdir}/COPYING
173 fi 179 fi
174 ln -s ../etc/COPYING ${tempdir}/${subdir} 180 ln -s ../etc/COPYING ${tempdir}/${subdir}
175 done 181 done
176 182
177 echo "Creating tar file." 183 if [ "${make_tar}" = yes ]; then
178 (cd ${tempparent}; tar cvf - ${emacsname}) | compress > ${emacsname}.tar.Z 184 echo "Creating tar file."
185 (cd ${tempparent}; tar cvf - ${emacsname}) | compress > ${emacsname}.tar.Z
186 fi
179 187
180 if [ "${cleanup}" = yes ]; then 188 if [ "${clean_up}" = yes ]; then
181 echo "Cleaning up the staging directory." 189 echo "Cleaning up the staging directory."
182 rm -rf ${tempparent} 190 rm -rf ${tempparent}
183 fi 191 fi